#include "matlab_lib/GaborFit.H"
#include <iostream>

/*! A simple program that passes commands to MATLAB to evaluate scores
 *  for V1 images */
int main( int argc, char ** argv )
{
  if( argc != 3 )
  {
    std::cerr << "ERROR: specify source directory and output file name" << std::endl;
    return 1;
  }

  std::string directory = argv[1];
  std::string output    = argv[2];

  matlab::evaluateScores( directory, output );

  return 0;
}
