

FF = 0.9;
I  = 2; % 1 for off, 2 for on

FB_vals = 0:.1:3;
T_vals = 0:.1:1;

Results = zeros(length(FB_vals), length(T_vals));
for i = 1:numel(FB_vals)
    for j = 1:numel(T_vals)
        Results(i, j) = boActivation( FF, T_vals(j), FB_vals(i), I ); 
    end
end

surf(T_vals, FB_vals, Results);
xlabel('Threshold')
ylabel('Feedback');
zlabel('Activation');