function [ val ] = cool_rand( mean, var, lower, upper, numVals )
%UNTITLED Selects random numbers from Gaussian distribution between
%lower and upper
r = rand(1, numVals);
% r = linspace(0,1,numVals);

tail = cdf('Normal', lower, mean, var);
head = 1 - cdf('Normal', upper, mean, var);
remaining = 1 - head - tail;

prob = tail + remaining * r;

val = icdf('Normal', prob, mean, var);

end