% Runs v1_stability for all hyperparamters for both noise and bias
noises = [0.01, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7];
% biases = [10, 2, 1, 0.8, 0.6, 0.4, 0.2];

noise_h_results = [];
noise_s_results = [];
% bias_h_results = [];
% bias_s_results = [];
  
for i = 1:numel(noises)
%     [h, s] = v1_stability('/data/projects/Border/v1_results_20k_iters/', noises(i), 1, 12, 2500, 2500, 20000, 'noise');
%     [h, s] = v1_stability('/data/projects/Border/v1_simplified_results_20k_iters/', noises(i), 1, 12, 2500, 2500, 20000, 'noise');
    [h, s] = v1_stability('/data/projects/Border/Neuron_Paper/v1_results_20k_gaussian/', noises(i), 1, 12, 2500, 2500, 20000, 'noise');
    
    noise_h_results(:,:,i) = [[0;0], h];
    noise_s_results(:,:,i) = [[0;0], s];
end

% for i = 1:numel(biases)
%     [h, s] = v1_stability('/data/projects/Border/v1_results_20k_iters/', noises(i), 1, 12, 2500, 2500, 20000, 'bias');
%     
%     bias_h_results(:,:,i) = h;
%     bias_s_results(:,:,i) = s;
% end

% Plot results
figure
hold on
for i=1:size(noise_s_results, 3)
    plot(noise_s_results(1,:,i), 'o-', 'color', [1 - i * .075, 0, 0], 'LineWidth', 2, 'MarkerSize', 3);
end
hold on
for i=1:size(noise_h_results, 3)
    plot(noise_h_results(1,:,i), 'o-', 'color', [0, 0, 1 - i * .075], 'LineWidth', 2, 'MarkerSize', 3);
end