#ifndef TESTS_GABORTESTS_H_
#define TESTS_GABORTESTS_H_

#include "../src/Gabor.H"

//! Test the response of the gabor filter over a range of orientations to a line
void gaborOrientationTest( bd::Gabor & gabor );

//! Tests related to performing ffts
void fftTests( cv::Mat const & image, bd::Gabor & gabor );

//! Tests the responses of center surround filters over a range of orientations to a line
void centerSurroundTest();

#endif // TESTS_GABORTESTS_H_
