function [] = makeV2MedianPlot( X )
%makeV2MedianPlot Makes a plot of values from a V2 orientation
%   Also plots the median as a line
NUM_BINS = 100;

figure;

hist(X, linspace(0, 0.7, NUM_BINS));
h = findobj(gca,'Type','patch');
h.FaceColor = [0.3 0.3 0.3];
h.EdgeColor = 'k';

line([median(X) median(X)], [30 -30], 'Color', 'r', 'LineWidth', 2)


xlim([0 0.7]);
ylim([0 25]);


end

