function [ score ] = v1_similarity( O, F )
%v1_similarity Returns one number representing how similar two V1 maps are

% convert to angle
O = rgb2hsv(O);
F = rgb2hsv(F);

O = squeeze(O(:,:,1)) * pi;
F = squeeze(F(:,:,1)) * pi;

C = mod(abs(F - O), pi/2);

%imagesc(C);

score = 1 - ((4/(pi* numel(C))) * sum(sum(C)));

end

