
#include <random>

template <class N> inline
void bd::Layer::populate( size_t amount, PopulationStrategy strategy )
{
  auto rng = uniformInt( 0lu, itsNeuronGrid.size() - 1 );

  switch( strategy )
  {
    case PopulationStrategy::Uniform:
      {
        for( size_t i = 0; i < amount; ++i )
          itsNeuronGrid[rng()].push_back( std::make_shared<N>() );
      }
      break;
    case PopulationStrategy::PoissonDisk:
      {
        const int k = 30; // maximum number of samples before rejection
        const double radius = 10.0; // minimum distance between samples

        // Generate the first index randomly


        auto far = []( int x, int y )
        {
          auto i = x / cellSize;
          auto j = y / cellSize;
          auto i0 = std::max( i - 2, 0 );
          auto j0 = std::max( j - 2, 0 );
          auto i1 = std::min( i + 3, gridWidth );
          auto j1 = std::min( j + 3, gridHeight );

          for( j = j0; j < j1; ++j )
          {
            auto o = j * gridWidth;

          }

        };

      }
      break;
  }
}
