#ifndef PROTOOBJECTNEURON_H_
#define PROTOOBJECTNEURON_H_

#include "Neuron.H"

namespace bd
{
  class ProtoObjectNeuron : public Neuron
  {
    public:
      using Neuron::Neuron; // inherit ctors

      template <class Archive>
      void serialize( Archive & ar )
      {
        ar( cereal::base_class<Neuron>( this ) );
      }

    protected:
      virtual double updateImpl( SystemState const & state ) override;

      virtual void learnImpl( SystemState const & state, double currentActivation ) override;
  };
}

#endif //PROTOOBJECTNEURON_H_
