#include "StaticNeuron.H"
#include "Random.H"

#include <cereal/types/polymorphic.hpp>

CEREAL_REGISTER_TYPE(bd::StaticNeuron)

bd::StaticNeuron::StaticNeuron( std::pair<double, double> pos ) :
  Neuron( pos )
{ }

double bd::StaticNeuron::updateImpl( SystemState const & state )
{
  return activation();
}

void bd::StaticNeuron::learnImpl( SystemState const & /*state*/, double /*currentActivation*/ )
{
}
