#ifndef COMBINEDTESTS_H_
#define COMBINEDTESTS_H_

#include "../src/Combined.H"

//! Performs a test for full convergence
/*! Presents a square or line in a random location far enough from the border
    and moves it in some random direction a short distance.  The mask is
    then presented followed by this process repeating. */
void testFullCombinedConvergence( bd::Combined & bd, cv::Mat const & mask );

#endif // COMBINEDTESTS_H_
